% Dieses m-file beinhaltet die Parameter fr einen Kontraktions-Zyklus des
% Simulink-Modells "Muskel_WorkLoop_Wiki.mdl"
clear %Lschung des Arbeitsspeichers (workspace)

%Parameter
m=80; %Masse [kg]
g=9.81; %Fallbeschleunigung [m/s^2]
F_max=15*m*g; %maximale isometrische Kraft [N]


%Parameter fr Kraft-Lngen-Relation
l_opt=0.1; %optimale Muskellnge [m]
w=0.4*l_opt; %Breite, um die der Muskel kontrahieren oder expandieren kann [m]

%Parameter fr Kraft-Geschwindigkeits-Relation
v_max=-12*l_opt; %maximale Kontraktionsgeschwindigkeit (maximum voluntary contraction) des Muskels [m/s]
N=1.5;
K=5;
c=log(0.05);

%Parameter fr Aktivierungsdynamik
tau=0.001; %Verzgerung [s]
mr=0.05*w; %motion range; erreicht die Muskellnge die Lnge l_opt+mr, ist STIM=1

%Anfangsbedingungen
x_0=0.0998; %Anfangslnge des Muskels [m]
v_0=-0.0624; % Anfangsgeschwindigkeit des Muskels [m/s]
ACT_0=0.0022; %Anfangsaktivierung

%Aufruf des Simulink-Moduls
sim('Muskel_WorkLoop_Wiki')

%%
close all
figure
hold on
plot(Muskellaenge,Muskelkraft)
plot(Muskellaenge(1),Muskelkraft(1),'r*')
plot(Muskellaenge(100),Muskelkraft(100),'b*')
plot(Muskellaenge(150),Muskelkraft(150),'k*')
plot(Muskellaenge(175),Muskelkraft(175),'y*')
plot(Muskellaenge(200),Muskelkraft(200),'g*')
axis([0.0995 0.1008 -3500 500])
Workloop=zeros(length(Muskellaenge),1);


for ii=2:length(Muskellaenge)
        Workloop(ii)=Workloop(ii-1)+1/2*(Muskellaenge(ii-1)*Muskelkraft(ii-1)+Muskellaenge(ii)*Muskelkraft(ii));    
end

